<?php
/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );


class getMusicPlayerTab extends cbTabHandler {
 	
   function getProfileURLTab() {
      $this->cbTabHandler();
   }

	/**
	* Generates the HTML to display the user profile tab
	* @param object tab reflecting the tab database entry
	* @param object mosUser reflecting the user being displayed
	* @param int 1 for front-end, 2 for back-end
	* @returns mixed : either string HTML for tab content, or false if ErrorMSG generated
	*/
   function getDisplayTab($tab,$user,$ui) {
		global $database, $my, $mosConfig_live_site;
		$params = $this->params; // get parameters (plugin and related tab)
                $strRegexp = $params->get('hwTabMessage', "regexp_param_empty");

                // DEBUG echo "expr=".$strRegexp."<br />";

	        $userConfig = $this->mpGetUserConfig($user->id);
                $codePlayer = $userConfig->mp_PlayerHtmlString;
		$return = null;

                // DEBUG highlight_string("codeplayer=".$codePlayer);


                if ($strRegexp != "") {
                   if ($codePlayer != "") {

                      ////mb_internal_encoding('UTF-8');
                      //mb_regex_encoding('UTF-8');
                      ////setlocale(LC_ALL, 'fr-fr');

                      // if(preg_match($strRegexp,htmlspecialchars($codePlayer))){
                      if(mb_eregi($strRegexp,htmlspecialchars($codePlayer))){
                         // DEBUG echo 'BON';
		         $return .= '<div><br />';
		         $return .= '<table border="0"><tr><td>'.$codePlayer.'</td></tr></table>';
		         $return .= '<br /></div>';
                      } else { 
                         echo 'your song does not comes from an allowed website, contact the administrator';
                      } 
                   }   
                }
                else {
                   echo 'ADMINISTRATOR: you must enter a regular expression in music player\'s tab settings';
                }


		return $return;
	}



	
		function mpGetUserConfig($id) {
		   global $database;
		   $database->setQuery("SELECT mp_PlayerHtmlString FROM #__comprofiler WHERE id=".$id);
		   $userConfig=$database->loadObjectList();
		   return $userConfig[0];
	        }

	//end of class
}

?>